GRPCK(8)

NAME
grpck - verify integrity of group files

SYNOPSIS

grpck [-r] [group [ shadow ]]

grpck [-s] [group [ shadow ]]

DESCRIPTION

The grpck command verifies the integrity of the system authentication information. All entries in /etc/group and /etc/gshadow are checked to see that the entry has the proper format and valid data in each field. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Checks are made to verify that each entry has:

    • the correct number of fields

    • a unique group name

    • a valid list of members and administrators

The checks for correct number of fields and unique group name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated group name is prompted for deletion, but the remaining checks will still be made. All other errors are warnings and the user is encouraged to run the groupmod command to correct the error.

The commands which operate on the /etc/group file are not able to alter corrupted or duplicated entries. grpck should be used in those circumstances to remove the offending entry.

OPTIONS

The options which apply to the grpck command are:

-r
    Execute the grpck command in read-only mode. This causes all questions regarding changes to be answered no without user intervention.

-s
    Sort entries in /etc/group and /etc/gshadow by GID.

By default, grpck operates on /etc/groupand /etc/gshadow. The user may select alternate files with the group and shadow parameters.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

/etc/passwd
    User account information.

SEE ALSO

group(5), gshadow(5) passwd(5), shadow(5), groupmod(8).

EXIT VALUES

The grpck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad group entries

3
    can't open group files

4
    can't lock group files

5
    can't update group files